Skip to main content
POST
/
api
/
user-snapshots
Create a user snapshot
curl --request POST \
  --url https://your-instance.example.com/api/user-snapshots \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Top performer baseline 2026-05",
  "description": "Senior AE automations and prompts for Q2 rollout.",
  "sourceOrgId": "64ee9a8b1e7f2a0011223344",
  "sourceUserId": "64ee9a8b1e7f2a0011223399"
}
'
{
  "message": "Snapshot created",
  "snapshot": {
    "_id": "665f1a0c0e0a4b001a2c9f80",
    "name": "Top performer baseline 2026-05",
    "counts": {
      "automations": 5,
      "prompts": 8,
      "templates": 12
    },
    "isGlobal": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tetherai.ca/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Snapshot display name shown in the snapshot picker.

Required string length: 1 - 120
sourceOrgId
string
required

Organization containing the user being snapshotted.

sourceUserId
string
required

User whose state is being captured.

description
string

Free-form notes describing what this snapshot captures.

Maximum string length: 500

Response

Snapshot created

snapshot
object
required
Example:
{
"_id": "665f1a0c0e0a4b001a2c9f80",
"name": "Top performer baseline 2026-05",
"description": "Senior AE automations and prompts for Q2 rollout.",
"sourceOrgId": "64ee9a8b1e7f2a0011223344",
"sourceOrgName": "Acme Corp",
"sourceUserEmail": "alex@acme.example",
"sourceUserName": "Alex Rep",
"counts": {
"automations": 5,
"prompts": 8,
"templates": 12
},
"createdBy": "64ee9a8b1e7f2a001122339b",
"createdByName": "Pat Admin",
"createdByRole": "ADMIN",
"isGlobal": false,
"assignedOrgIds": ["64ee9a8b1e7f2a0011223344"],
"createdAt": "2026-05-15T09:00:00.000Z",
"updatedAt": "2026-05-15T09:00:00.000Z"
}
message
string